Skip to main content
GET
Get user orders

Cost and request rules

Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.
  • Default request reference estimate (USD): 0.012
  • Cost contract: fixed_success
  • Settlement evidence source: request_snapshot

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

asset_id
string

Asset ID (token ID) to filter orders

id
string

Order ID (hash) to filter by specific order

market
string

Market (condition ID) to filter orders

next_cursor
string

Cursor for pagination (base64 encoded offset)

Response

Successfully retrieved orders

limit
integer
required

Maximum number of results per page

Example:

100

next_cursor
string
required

Cursor for pagination (base64 encoded offset). Empty if no more results.

Example:

"MTAw"

count
integer
required

Number of orders in this response

Example:

2

data
object[]
required

Array of open orders